This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 884641 - convert cups-lpd xinetd service to systemd
convert cups-lpd xinetd service to systemd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 729344 (view as bug list)
Depends On:
Blocks: SysVtoSystemd 883978
  Show dependency treegraph
 
Reported: 2012-12-06 08:29 EST by Jiri Popelka
Modified: 2015-08-26 18:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: cups-1.6.1-17.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 12:17:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2012-12-06 08:29:06 EST
lpd subpackage contains /etc/xinetd.d/cups-lpd xinetd config file, which should be migrated [1] to systemd service.

[1] http://0pointer.de/blog/projects/inetd.html
Comment 1 Jiri Popelka 2012-12-19 11:57:51 EST
I've added cups-lpd.socket and cups-lpd@.service to cups-1.6.1-17.fc19.

How To Test:
[1. terminal]# systemctl start cups-lpd.socket
[1. terminal]# systemctl --full | grep lpd
cups-lpd.socket      loaded active listening

[2. terminal]# nc -v localhost 515

[1. terminal]# systemctl --full | grep lpd
cups-lpd@8-127.0.0.1:515-127.0.0.1:40672.service   loaded active running
cups-lpd.socket                                    loaded active listening

[2. terminal]# ^C
[2. terminal]# echo -e "\004my-printer-queue" | nc -v localhost 515
my-printer-queue is ready
no entries
Comment 2 Jiri Popelka 2013-03-04 07:46:38 EST
*** Bug 729344 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-04-03 16:39:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.